Bug 1045341 - (CVE-2017-9766) VUL-1: CVE-2017-9766: wireshark: PROFINET IO data with a high recursion depth allows to cause a denial of service in thedissect_IODWriteReq
(CVE-2017-9766)
VUL-1: CVE-2017-9766: wireshark: PROFINET IO data with a high recursion depth...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/187145/
CVSSv2:SUSE:CVE-2017-9766:4.3:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 12:40 UTC by Johannes Segitz
Modified: 2020-07-13 19:20 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2017-06-21 12:40:30 UTC
CVE-2017-9766

In Wireshark 2.2.7, PROFINET IO data with a high recursion depth allows remote
attackers to cause a denial of service (stack exhaustion) in the
dissect_IODWriteReq function in plugins/profinet/packet-dcerpc-pn-io.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-9766
https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=d6e888400ba64de3147d1111a4c23edf389b0000
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=13811
Comment 1 Lingshan Zhu 2017-09-19 08:14:37 UTC
git commit d6e888400ba64de3147d1111a4c23edf389b0000 (tag:wireshark-2.2.9) has been found at upstream git repo, fixed
Comment 3 Swamp Workflow Management 2017-09-22 16:09:10 UTC
SUSE-SU-2017:2555-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1044417,1045341,1056248,1056249,1056251
CVE References: CVE-2017-13765,CVE-2017-13766,CVE-2017-13767,CVE-2017-9617,CVE-2017-9766
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    wireshark-2.2.9-48.9.2
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    wireshark-2.2.9-48.9.2
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    wireshark-2.2.9-48.9.2
SUSE Linux Enterprise Server 12-SP3 (src):    wireshark-2.2.9-48.9.2
SUSE Linux Enterprise Server 12-SP2 (src):    wireshark-2.2.9-48.9.2
SUSE Linux Enterprise Desktop 12-SP3 (src):    wireshark-2.2.9-48.9.2
SUSE Linux Enterprise Desktop 12-SP2 (src):    wireshark-2.2.9-48.9.2
Comment 4 Swamp Workflow Management 2018-01-09 20:21:29 UTC
SUSE-SU-2018:0054-1: An update that fixes 11 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1044417,1045341,1056248,1056249,1056251,1062645,1070727
CVE References: CVE-2017-13765,CVE-2017-13766,CVE-2017-13767,CVE-2017-15191,CVE-2017-15192,CVE-2017-15193,CVE-2017-17083,CVE-2017-17084,CVE-2017-17085,CVE-2017-9617,CVE-2017-9766
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    libsmi-0.4.5-2.7.2.1, portaudio-19-234.18.1, wireshark-2.2.11-40.14.5
SUSE Linux Enterprise Server 11-SP4 (src):    libsmi-0.4.5-2.7.2.1, portaudio-19-234.18.1, wireshark-2.2.11-40.14.5
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    libsmi-0.4.5-2.7.2.1, portaudio-19-234.18.1, wireshark-2.2.11-40.14.5
Comment 5 Marcus Meissner 2018-01-18 07:25:36 UTC
released
Comment 6 Swamp Workflow Management 2018-10-13 16:00:20 UTC
This is an autogenerated message for OBS integration:
This bug (1045341) was mentioned in
https://build.opensuse.org/request/show/641836 42.3 / wireshark